/*FONTS*/

@font-face {
    font-family: Questrial;
    src: url('../fonts/Questrial.ttf');
}

@font-face {
    font-family: Quicksand;
    src: url('../fonts/Quicksand.ttf');
}

@font-face {
    font-family: DidactGothic;
    src: url('../fonts/DidactGothic.ttf');
}

@font-face {
    font-family: Mandali;
    src: url('../fonts/Mandali-Regular.ttf');
}

@font-face {
    font-family: Moons;
    src: url('../fonts/Moons.otf');
}

.font1 {
    font-family: Moons;
    font-style: italic;
    font-weight: 500;
}

.font2 {
    font-family: Quicksand;

}

.font3 {
    font-family: DidactGothic;
}

/*Rando*/

.no-select {
    -moz-user-select: -moz-none;
    -khtml-user-select: none;
    -webkit-user-select: none;
}

/*NAVIGATION*/

.navigation {
    position: fixed;
    z-index: 2;
    height: 60px;
    width: 100vw;
    font-size: 17px;
    color: white;
    transition: background-color 1s, box-shadow 1s ease-in-out;
    -moz-transition: background-color 1s, box-shadow 1s ease-in-out;
    -webkit-transition: background-color 1s, box-shadow 1s ease-in-out;
    text-align: center;
}

.nav-fade {
    transition: background-color 1s, box-shadow 1s ease-in-out;
    -moz-transition: background-color 1s, box-shadow 1s ease-in-out;
    -webkit-transition: background-color 1s, box-shadow 1s ease-in-out;
    background-color: rgba(55, 55, 55, 0.9);
}

.nav-active {
    background-color: rgba(55, 55, 55, 0.9);
    display: block !important;
    transition: all, 1s, ease-in-out;
}

.nav-contact-bg {
    background-color: rgba(55, 55, 55, 0.9);
}

.nav-projects {
    display: inline-block;
    padding-right: 15px;
    cursor: pointer;
    padding-top: 2px;
    transition: color 0.30s, ease-in-out;
    -moz-transition: color 0.30s, ease-in-out;
    -webkit-transition: color 0.30s, ease-in-out;
}

.nav-projects:hover {
    color: #c0b283;
    transition: color 0.30s, ease-in-out;
    -moz-transition: color 0.30s, ease-in-out;
    -webkit-transition: color 0.30s, ease-in-out;
}

.nav-logo {
    display: inline-block;
    cursor: pointer;
    padding-top: 6px;
    opacity: 1;
}

.logo {
    width: 45px;
    transition: width 0.75s, ease-in-out;
    -moz-transition: width 0.75s, ease-in-out;
    -webkit-transition: width 0.75s, ease-in-out;
}

.nav-contact {
    display: inline-block;
    padding-left: 15px;
    cursor: pointer;
    padding-top: 2px;
    transition: color 0.75s, ease-in-out;
    -moz-transition: color 0.75s, ease-in-out;
    -webkit-transition: color 0.75s, ease-in-out;
}

.nav-contact:hover {
    color: #c0b283;
    transition: color 0.75s, ease-in-out;
    -moz-transition: color 0.75s, ease-in-out;
    -webkit-transition: color 0.75s, ease-in-out;
}

.active {
    display: block !important;
    transition: all, 1s, ease-in-out;
}

.contact-window {
    display: none;
    height: 100vh;
    width: 100%;
    margin-top: 9px;
    padding-top: 45px;
    background-color: rgba(55, 55, 55, 0.9);
    text-align: center;
    transition: all, 1s, ease-in-out;
}

.contact-window-header {
    font-size: 45px;
    margin-top: 10vh

}

.contact-window-form {
    text-align: center;
    display: inline-block;
    margin-top: 3vh;
    font-family: sans-serif;
}

.form-name {
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 10px;
    border-color: #c0b283;
    border-width: 2px;
    border-style: solid;
    width: 33vw;
    color: black;
    height: 35px;
}

.form-email {
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 10px;
    border-color: #c0b283;
    border-width: 2px;
    border-style: solid;
    width: 33vw;
    color: black;
    height: 35px;
}

.form-message {
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 10px;
    border-color: #c0b283;
    border-width: 2px;
    border-style: solid;
    width: 33vw;
    color: black;
}

.form-submit {
    font-family: arial;
    font-style: normal;
    display: block;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 10px;
    width: 150px;
    height: 30px;
    border-color: #c0b283;
    border-width: 2px;
    border-style: solid;
    width: 33vw;
    background-color: rgba(0, 0, 0, 0);
    transition: all, .50s, ease-in-out;
    border-radius: 15px;
}

.form-submit:hover {
    background-color: rgba(0, 0, 0, 0);
    transition: all, .50s, ease-in-out;
}

/*HEADER*/

.header {
    background: url('../img/bg2.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: fixed;
    height: 100vh;
    text-align: center;
    color: #f4f4f4;
}

.center {
    background-color: rgba(0, 0, 0, 0.5);
    padding-top: 30vh;
    height: 100vh;
}

.name-header {
    padding-left: 15px;
    padding-right: 15px;
    margin-top: 30px;
    text-align: center;
    margin-bottom: 30px;
    z-index: 3;
    font-size: 75px;
}

.about-block {
    width: 100% !important;
    padding-left: 12%;
    padding-right: 12% !important;
    margin-bottom: 69px !important;
    text-align: center;
    font-size: 20px;
}

/*PROJECTS*/

.projects {
    background-color: #f4f4f4;
    text-align: center
}

.proj-header {
    padding-left: 15px;
    padding-right: 15px;
    /* margin-top: 30px; */
    text-align: center;
    margin-bottom: 5px;
    z-index: 3;
    font-size: 75px;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
}

.proj-header-ln {
    height: 1px;
    background-color: rgba(0,0,0,0.5);
    width: 67%;
    display: inline-block;
    box-shadow: 4px 2px 2px rgba(0,0,0,0.2);
}

/*PROJECT BGS*/

.overlay-text {
  /* display: none; */
  margin-top: 164px;
  color: #fff;
  text-shadow: 0px 0px 6px rgba(0,0,0,0.5);
}

.overlay-text span {
    font-size: 20px;
    padding-top: 50px;
    text-shadow: -2px 3px 10px black;
}

.overlay-tec {
    background-color: rgba(55, 55, 55, 0.3);
    color: #f4f4f4;
    height: 50px;
    margin-top: 130px;
    padding-top: 11px;
    font-size: 17px;
}

.image-overlay {
    position: absolute;
    width: 100%;
    height: 385px;
    background-color: rgba(0, 0, 0, 0);
    text-align: center;
    color: white;
    transition: background-color, 0.5s, ease-in-out;
}

.image-overlay:hover {
    position: absolute;
    width: 100%;
    height: 385px;
    background-color: rgba(192, 178, 131, 0.7);
    transition: background-color, 0.5s, ease-in-out;
}

.blur {
    -webkit-filter: blur(3px);
    -moz-filter: blur(3px);
    -o-filter: blur(3px);
    -ms-filter: blur(3px);
    filter: blur(3px);
}

.expressit {
    position: relative;
    height: 385px;
    width: 78%;
    max-width: 707px;
    margin: 35px;
    display: inline-block;
    text-align: center;
    color: rgba(255, 255, 255, 0.9);
    transition: all, 1s, ease-in-out;
    cursor: pointer;
    box-shadow: 3px 5px 6px rgba(0, 0, 0, 0.1);
}

.expressit-image {
    background:
    url('../img/expressitpic.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: #373737;
    height: 385px;
    width: 100%;
    border-color: rgba(192, 178, 131, 0.7);
    border-width: 2px;
    border-style: solid;
    position: absolute;
}

.thinkdifferent {
    position: relative;
    height: 385px;
    width: 78%;
    max-width: 707px;
    margin: 35px;
    display: inline-block;
    text-align: center;
    color: rgba(255, 255, 255, 0.9);
    transition: all, 1s, ease-in-out;
    cursor: pointer;
    box-shadow: 3px 5px 6px rgba(0, 0, 0, 0.1);
}

.thinkdifferent-image {
    background:
    url('../img/thinkdifferent.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: #373737;
    height: 385px;
    width: 100%;
    border-color: rgba(192, 178, 131, 0.7);
    border-width: 2px;
    border-style: solid;
    position: absolute;
}

.dapperdev {
    position: relative;
    height: 385px;
    width: 78%;
    max-width: 707px;
    margin: 35px;
    display: inline-block;
    text-align: center;
    color: rgba(255, 255, 255, 0.9);
    transition: all, 1s, ease-in-out;
    cursor: pointer;
    box-shadow: 3px 5px 6px rgba(0, 0, 0, 0.1);
}

.dapperdev-image {
    background: url('../img/dapper.png');
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: #373737;
    height: 385px;
    width: 100%;
    border-color: rgba(192, 178, 131, 0.7);
    border-width: 2px;
    border-style: solid;
    position: absolute;
}

/*FOOTER*/

.footer {
    width: 100%;
    height: 60px;
    background-color: #373737;
    padding-top: 11px;
    float: left;
    text-align: center;
    border-top: 2px solid #948a68;
}

.footer-icon {
    cursor: pointer;
}

.twitter-icon {
    display: inline-block;
}

.github-icon {
    display: inline-block;
    padding-left: 45px;
    padding-right: 45px;
}

.linkedin-icon {
    display: inline-block;
}

.top-btn{
    position: fixed;
    bottom: 90px;
    color: #373737;
    right: 43px;
    padding: 20px;
    border: 1px solid;
    cursor: pointer;
}

/*MEDIA QUERIES*/

@media screen and (max-width: 570px){

    .proj-header-ln {
        height: 1px;
        background-color: rgba(0,0,0,0.5);
        width: 90%;
        display: inline-block;
        box-shadow: 4px 2px 2px rgba(0,0,0,0.2);
    }

    .form-name {
        width: 70vw !important;
    }

    .form-email {
        width: 70vw !important;
    }

    .form-message {
        width: 70vw !important;
    }

    .form-submit {
        width: 70vw !important;
    }

    .projects {
        padding: 15px 0px 0px 0px !important;
    }

    .image-overlay {
        width: 100% !important;
    }

    .proj-header {
        padding-left: 15px;
        padding-right: 15px;
        margin-top: 0px;
        text-align: center;
        margin-bottom: 0px;
        z-index: 3;
        font-size: 65px;
        font-family: Moons;
        font-style: italic;
        font-weight: 500;
    }

    .expressit {
        width: 90% !important;
        margin: 0px !important;
        margin-bottom: 20px !important;
        margin-top: 35px !important;
    }

    .expressit-image {
        width: 100%;
    }

    .thinkdifferent {
        width: 90% !important;
        margin: 0px !important;
        margin-bottom: 20px !important;
    }

    .thinkdifferent-image {
        width: 100% !important;
    }

    .dapperdev {
        width: 90% !important;
        margin: 0px !important;
        margin-bottom: 20px !important;
        margin-top: 35px !important;
    }

    .dapperdev-image {
        width: 100% !important;
    }
}

/*PAGETAGS*/

a {
    color: white;
}

a:hover {
    color: white;
}

a:visited {
    text-decoration: none;
}

a:active {
    text-decoration: none;
}

a:link {
    text-decoration: none;
}
